org.apache.solr.parser

## Enum SolrQueryParserBase.MagicFieldName

- java.lang.Object
- - java.lang.Enum<SolrQueryParserBase.MagicFieldName>
  - - org.apache.solr.parser.SolrQueryParserBase.MagicFieldName

- All Implemented Interfaces:
    Serializable, Comparable<SolrQueryParserBase.MagicFieldName>
  Enclosing class:
    SolrQueryParserBase

      public static enum SolrQueryParserBase.MagicFieldName
      extends Enum<SolrQueryParserBase.MagicFieldName>

  Identifies the list of all known "magic fields" that trigger special parsing behavior

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `QUERY`
    `VAL`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `field`
    `String` | `subParser`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SolrQueryParserBase.MagicFieldName` | `get(String field)`
    `String` | `toString()`
    `static SolrQueryParserBase.MagicFieldName` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SolrQueryParserBase.MagicFieldName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VAL

          public static final SolrQueryParserBase.MagicFieldName VAL

    - #### QUERY

          public static final SolrQueryParserBase.MagicFieldName QUERY

  - ### Field Detail

    - #### field

          public final String field

    - #### subParser

          public final String subParser

  - ### Method Detail

    - #### values

          public static SolrQueryParserBase.MagicFieldName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SolrQueryParserBase.MagicFieldName c : SolrQueryParserBase.MagicFieldName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SolrQueryParserBase.MagicFieldName valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<SolrQueryParserBase.MagicFieldName>`

    - #### get

          public static SolrQueryParserBase.MagicFieldName get(String field)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.